Start OAuth flow
POST /api/calendar/oauth/start
POST
/api/calendar/oauth/start
Initiate the OAuth authorisation flow for a calendar provider. The response contains a URL that the user should be redirected to in order to grant calendar access.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
workspaceId
required
The workspace to associate the new calendar connection with.
string format: uuid
Example
a1b2c3d4-e5f6-7890-abcd-ef1234567890 provider
Calendar provider: google or microsoft. Defaults to google.
string
Example
googleResponses
Section titled “ Responses ”The authorization URL was generated.
Response containing the OAuth authorization URL for a calendar provider.
object
authorizationUrl
required
URL to redirect the user to for granting calendar access.
string
Example
https://accounts.google.com/o/oauth2/v2/auth?client_id=...&redirect_uri=...&scope=...&state=...